[Help me] Smart assembly 4.1 [CLR 4.0 Error]

Analyzes .NET assemblies for types of exceptions

[Help me] Smart assembly 4.1 [CLR 4.0 Error]

Postby Imports » Sat May 28, 2011 6:25 am

Screen Shot

already i have .net framwork 4.0 .
when i go there for download there show me to install .net framework 4.0 but i have ready .net framwork 4.0 .but that still show that message and i cant go front .

help if possible . thanks to all
sorry for bad english

Please dont tell me to install smart assembly 6.
smart assembly 6 dotnetbar merge obsicate time show me error
Posts: 1
Joined: Sat May 28, 2011 6:00 am

Postby Chris.Allen » Mon May 30, 2011 12:58 pm

Posts: 579
Joined: Thu Mar 12, 2009 3:17 pm

Same issue with SA 4.0 - Please explain suggested download

Postby ixm7 » Sat Jul 02, 2011 8:25 pm

I am running into the same exact issue (warning about missing CLR 4.0 even though I have the 4.0 framework installed) using SA 4.0.

Could you explain the suggested download and what steps I need to take?

Posts: 2
Joined: Sat Jul 02, 2011 8:19 pm

.NET 4.0 support in {smartassembly} 4

Postby dom.smith » Fri Jul 15, 2011 4:13 pm

@ixm7: Sorry it has taken a while to reply to you.

{SA} 4.0 was released while .NET 4.0 was still in beta. It therefore does not correctly identify the final version of .NET 4.0

The download Chris linked above is the installer for {SA} 4.2, which does correctly identify .NET 4.0.

Please note that there are a small number of bugs in {SA} 4.2, which were corrected in {SA} 4.3. If you are affected by any of these bugs, please email support@red-gate.com, and ask for the {SA} 4.3 installer instead.
Dominic Smith,
Project Manager,
Posts: 107
Joined: Thu Jun 03, 2010 4:54 pm
Location: Cambridge, UK

Postby ixm7 » Fri Jul 15, 2011 4:17 pm

Thanks. The 4.2 version fixed the issue for me.
Posts: 2
Joined: Sat Jul 02, 2011 8:19 pm

Return to Exception Hunter 2

Who is online

Users browsing this forum: No registered users and 0 guests